View Issue Details

IDProjectCategoryView StatusLast Update
0019916mantisbtfilterspublic2015-09-06 17:37
ReporteratrolAssigned Todregad 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019916: View Issues page fails when filtering custom fields
Description

Filtering by a custom field of type list, multiselection list, enumeration, checkbox or radio throws error

APPLICATION ERROR # 26
Data Type mismatch. Enable detailed error messages for further information.

Full path: /var/www/html/mantisbt/core/helper_api.php
Line: 213
Variable Value Type
p_var1 0 integer
p_var2 0 string
p_strict 1 boolean
Filename Line Function Args
/var/www/html/mantisbt/core/helper_api.php 213 - - trigger_error ( <string>'26', <integer>256 )
/var/www/html/mantisbt/core/helper_api.php 284 - - helper_check_variables_equal ( <integer>0, <string>'0', <boolean>true )
/var/www/html/mantisbt/core/filter_api.php 4132 - - check_selected ( <array> { [0] => 0 }, <string>'0' )
/var/www/html/mantisbt/return_dynamic_filters.php 138 - - print_filter_custom_field ( <string>'4' )

TagsNo tags attached.

Activities

ovelasco

ovelasco

2015-07-20 11:44

reporter   ~0051099

Thanks Atrol.

i couldn't repair this bug, this problem ocurred by upgrade from 1.2.11 version to 1.3.0

ovelasco

ovelasco

2015-08-06 14:53

reporter   ~0051211

thanks by the code fix. I implemented in mantisBT succesfully. I repeat the gratefulness to everyone by this.

cheers

Related Changesets

MantisBT: master 6759ec19

2015-08-02 10:53:27

dregad

Details Diff
Fix data type mismatch error with custom field filter

Disable strict type checking on check_selected() calls in
print_filter_custom_field() as there is no way to cover all possible
test cases by typecasting the parameters.

Fixes 0019916
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2015-07-08 16:31 atrol New Issue
2015-07-20 11:44 ovelasco Note Added: 0051099
2015-08-02 18:17 dregad Changeset attached => MantisBT master 6759ec19
2015-08-02 18:17 dregad Assigned To => dregad
2015-08-02 18:17 dregad Status new => resolved
2015-08-02 18:17 dregad Resolution open => fixed
2015-08-02 18:17 dregad Fixed in Version => 1.3.0-beta.3
2015-08-06 14:53 ovelasco Note Added: 0051211
2015-09-06 17:37 vboctoradmin Status resolved => closed